Converting plug-ins?

11 years 6 months ago #67818 by radio
Is there any documentation on converting plug ins to work with cb 1.2?

Interested in improving Joomla as a social networking platform? If yes join joomlaplazza.com
11 years 6 months ago #69462 by beat
radio wrote:

Is there any documentation on converting plug ins to work with cb 1.2?


CB 1.2 is backwards compatible with CB 1.1 plugins, which use CB 1.0 API.

So nothing is needed for most of them.

We will write the CB 1.2 API doc once we get to it. Right now the only doc is in the CB code comments.

Beat - Community Builder Team Member

Before posting on forums: Read FAQ thoroughly -- Help us spend more time coding by helping others in this forum, many thanks :)
CB links: Our membership - CBSubs - Templates - Hosting - Forge - Send me a Private Message (PM) only for private/confidential info
11 years 2 months ago #80902 by parth
Hi there Nant,

Is there any word on the 1.2 API documentation ?

Also one more thing i found out & wanted to confirm, does the Cb installer version specified in the XML installer create issues from CB1.0, 1.1 or 1.2 ?

What is mean is whats the correct version to put in there so that plugins work in all versions of CB ?

Another Question, whats your suggestion if i want to keep my plugins compatible with CB 1.1 + installed on Joomla 1.0 or 1.5 (Native) Installations ?

Php-Nuke to Mambo to Joomla...
My Evolution goes on!
Need Joomla Development?
Drop us mail! www.tekdi.net - sales@tekdi.net
Our CB extensions :
CB Adsense , CB User RSS, CB-Eventlist My Events & CB-Eventlist Attended Events, CB Network Suggest
Joomla Extensions, Training & Support
techjoomla.com/
Check Out our Joomla extensions at extensions.joomla.org/extensions/owner/tekdi/1
extensions.joomla.org/extensions/owner/techjoomla/1
Moderators: beatnantkrileon
Time to create page: 0.421 seconds

Facebook Twitter LinkedIn